const db = wx.cloud.database();
const app = getApp();

Page({

    /**
     * 页面的初始数据
     */
    data: {
        vote: [],
        hasUserInfo: false,
        userInfo: {},
        openid: ''
    },

    tovotecontent(e) {
        let id =  e.currentTarget.dataset.id;
        wx.navigateTo({
          url: '/pages/voteContent/index?id='+id,
        })
    },

    getUserInfo(e) {
        // 不推荐使用getUserInfo获取用户信息，预计自2021年4月13日起，getUserInfo将不再弹出弹窗，并直接返回匿名的用户个人信息
        console.log(e)
        this.setData({
            userInfo: e.detail.userInfo,
            hasUserInfo: true,
            userid: e.detail.value.userInfo._openid
        })
    },
    // 删除投票
    delete(e){
      var that=this
      var list=this.data.vote
      wx.showModal({
        title:"确定删除公告吗",
        success(res){
          if(res.confirm){
            db.collection("Vote").doc(e.currentTarget.dataset.id).remove()
      .then(res=>{
        
        for(var i=0;i<list.length;i++){
          if(list[i]._id==e.currentTarget.dataset.id){
            list.splice(i,1)
             that.setData({
               vote:list
             })
             break
          }
        }
     
        wx.showToast({
          title: '已删除',
        })
        
      })
          }
        }
      })
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        var that = this;
        wx.showToast({
          title: '搜索中',
          icon:'loading',
          duration:200
        })
        db.collection('Vote').where({
          _openid:wx.getStorageSync('openid')
        }).get().then(res => {
            if (res.data.length != 0) {
                this.setData({
                    vote: res.data
                })
            } else {
                wx.showToast({
                    title: '未找到相关公告',
                    icon: 'error'
                })             
            }
        })      

        app.getOpenId.then(res => {
            console.log(res)
            this.setData({
                openid:res
            })
          })

    },

    
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    },

    //刷新
    onRefresh() {
        //在当前页⾯显⽰导航条加载动画
        wx.showNavigationBarLoading();
        //显⽰ loading 提⽰框。需主动调⽤ wx.hideLoading 才能关闭提⽰框
        wx.showLoading({
            title: '刷新中...',
        })
        this.getData();
    },
    //⽹络请求，获取数据
    getData() {
        wx.request({
            url: '',
            //⽹络请求执⾏完后将执⾏的动作
            complete(res) {
                //隐藏loading 提⽰框
                wx.hideLoading();
                //隐藏导航条加载动画
                wx.hideNavigationBarLoading();
                //停⽌下拉刷新
                wx.stopPullDownRefresh();
            }
        })
    },
    /**
     * 页⾯相关事件处理函数--监听⽤户下拉动作
     */
    onPullDownRefresh: function () {
        //调⽤刷新时将执⾏的⽅法
        this.onRefresh();
    }
})